=== debian/changelog ===
genometools (1.4.2-4) unstable; urgency=low

  * Remove shlibs.local file 

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Tue, 09 Oct 2012 12:24:17 +0200

genometools (1.4.2-3) unstable; urgency=low

  * Build with pbuilder to obtain reasonable libc dependency (>= 2.13)

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Tue, 09 Oct 2012 10:04:34 +0200

genometools (1.4.2-2) unstable; urgency=low

  * Fixed libpango-dev dependency
  * Updated manpages

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Mon, 08 Oct 2012 07:51:52 +0200

genometools (1.4.2-1) unstable; urgency=low

  * New upstream release
  [ Sponsor Steffen Moeller ]
  * Update of policy to 3.9.4
  * Added DMUA flag

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Fri, 05 Oct 2012 15:47:56 +0200

genometools (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #657923)
  * the GFF3 parser now handles children which are defined before their parents
  * many small improvements to the GFF3 parser

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Mon, 09 Jul 2012 14:10:23 +0100
