=== debian/control ===
Source: genometools
Section: science
Priority: extra
Maintainer: Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
Build-Depends: debhelper (>= 9),
 liblua5.1-0-dev, liblua5.1-md5-dev, liblua5.1-filesystem-dev,
 liblua5.1-lpeg-dev, libcairo2-dev, zlib1g-dev, libbz2-dev, libexpat1-dev,
 libncurses5-dev, libsqlite3-dev, libbam-dev, libpango1.0-dev
Standards-Version: 3.9.4
DM-Upload-Allowed: yes
Homepage: http://genometools.org
Vcs-Browser: http://svn.debian.org/viewvc/debian-med/trunk/packages/genometools/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/genometools/trunk/

Package: genometools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, genometools-common
Description: versatile genome analysis toolkit
 The GenomeTools contains a collection of useful tools for biological
 sequence analysis and -presentation combined into a single binary.
 .
 The toolkit contains binaries for sequence and annotation handling, sequence
 compression, index structure generation and access, annotation visualization,
 and much more.

Package: genometools-common
Architecture: all
Depends: ${misc:Depends}, liblua5.1-md5-0|liblua5.1-0,
 liblua5.1-lpeg2|liblua5.1-0, liblua5.1-filesystem0|liblua5.1-0, liblua5.1-0,
 libcairo2, zlib1g, libbz2-1.0, libexpat1, libpth20, libncurses5, libsqlite3-0,
 libpango1.0-0
Description: shared data files for GenomeTools
 This package contains configuration files such as alphabet
 transformations, style files, etc. required to use the GenomeTools
 executable and/or library.

Package: libgenometools0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, genometools-common
Description: versatile genome analysis library
 This package contains the GenomeTools shared library and header
 files. It offers efficient sequence analysis components, available
 via an object-oriented interface, and a collection of useful tools for
 bioinformatics, combined into a single binary.
 .
 Besides basic bioinformatics data structures, the library contains components
 for sequence and annotation handling, sequence compression, index structure
 generation and access, efficient matching, annotation visualization and much
 more.

Package: libgenometools0-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libgenometools0 (= ${binary:Version})
Section: libdevel
Description: development files for GenomeTools
 This package contains the GenomeTools static libraries and necessary
 header files.

Package: genometools-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: documentation for GenomeTools
 This package contains API documentation and tool documentation for
 GenomeTools.

Package: genometools-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 genometools (= ${binary:Version})|libgenometools0 (= ${binary:Version})
Section: debug
Description: versatile genome analysis toolkit, with debug symbols
 This package contains debug information stripped from the GenomeTools.
 You may decide to install it to help identifying issues, typically
 to help communication with upstream developers.
