## genometools 1.5.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #
-# Copyright (c) 2006-2012 Gordon Gremme <gremme@zbh.uni-hamburg.de>
+# Copyright (c) 2006-2013 Gordon Gremme <gremme@zbh.uni-hamburg.de>
+# Copyright (c) 2008-2013 Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>
 # Copyright (c) 2006-2008 Center for Bioinformatics, University of Hamburg
 #
 # Permission to use, copy, modify, and distribute this software for any
@@ -16,9 +17,9 @@
 #
 
 INCLUDEOPT:=-I$(CURDIR)/src -I$(CURDIR)/obj \
-            -I$(CURDIR)/src/external/zlib-1.2.3 \
+            -I$(CURDIR)/src/external/zlib-1.2.7 \
             -I$(CURDIR)/src/external/md5-1.1.2/src \
-            -I$(CURDIR)/src/external/lua-5.1.4/src \
+            -I$(CURDIR)/src/external/lua-5.1.5/src \
             -I$(CURDIR)/src/external/luafilesystem-1.5.0/src \
             -I$(CURDIR)/src/external/lpeg-0.10.2 \
             -I$(CURDIR)/src/external/expat-2.0.1/lib \
@@ -27,11 +28,19 @@
             -I$(CURDIR)/src/external/samtools-0.1.18 \
             -I$(CURDIR)/src/external/sqlite-3.7.10
 
+ifeq ($(shell pkg-config --version > /dev/null 2> /dev/null; echo $$?),0)
+  HAS_PKGCONFIG:=yes
+else
+  HAS_PKGCONFIG:=no
+endif
+
 ifneq ($(cairo),no)
-  INCLUDEOPT+=$(shell pkg-config --cflags-only-I pango) \
-              $(shell pkg-config --cflags-only-I cairo) \
-              $(shell pkg-config --cflags-only-I pangocairo) \
-              $(shell pkg-config --cflags-only-I glib-2.0)
+  ifeq ($(HAS_PKGCONFIG),yes)
+	INCLUDEOPT+=$(shell pkg-config --cflags-only-I pango) \
+	            $(shell pkg-config --cflags-only-I cairo) \
+	            $(shell pkg-config --cflags-only-I pangocairo) \
+	            $(shell pkg-config --cflags-only-I glib-2.0)
+  endif
 endif
 
 # these variables are exported by the configuration script
@@ -51,8 +60,10 @@
 # expat needs -DHAVE_MEMMOVE
 # lua needs -DLUA_USE_POSIX
 # tecla needs -DHAVE_CURSES_H -DHAVE_TERM_H -DUSE_TERMINFO
+# zlib needs -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
 EXT_FLAGS:= -DHAVE_MEMMOVE -DLUA_USE_POSIX -DLUA_DL_DLOPEN \
-            -DHAVE_CURSES_H -DHAVE_TERM_H -DUSE_TERMINFO
+            -DHAVE_CURSES_H -DHAVE_TERM_H -DUSE_TERMINFO \
+            -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
 EXP_CPPFLAGS+=-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 $(EXT_FLAGS)
 GT_CPPFLAGS:=$(INCLUDEOPT)
 GT_CXXFLAGS:=-g -pipe
@@ -119,7 +130,7 @@
 LIBLUA_OBJ:=$(LIBLUA_SRC:%.c=obj/%.o)
 LIBLUA_DEP:=$(LIBLUA_SRC:%.c=obj/%.d)
 
-LUAMAIN_SRC:=src/external/lua-5.1.4/etc/all.c
+LUAMAIN_SRC:=src/external/lua-5.1.5/etc/all.c
 LUAMAIN_OBJ:=$(LUAMAIN_SRC:%.c=obj/%.o)
 LUAMAIN_DEP:=$(LUAMAIN_SRC:%.c=obj/%.d)
 
@@ -205,9 +216,10 @@
            $(EASEL_DIR)/esl_random.c
 EASEL_OBJ:=$(EASEL_SRC:%.c=%.o)
 
-ZLIB_DIR:=src/external/zlib-1.2.3
+ZLIB_DIR:=src/external/zlib-1.2.7
 ZLIB_SRC:=$(ZLIB_DIR)/adler32.c $(ZLIB_DIR)/compress.c $(ZLIB_DIR)/crc32.c \
-          $(ZLIB_DIR)/gzio.c $(ZLIB_DIR)/uncompr.c $(ZLIB_DIR)/deflate.c \
+          $(ZLIB_DIR)/gzclose.c $(ZLIB_DIR)/gzlib.c $(ZLIB_DIR)/gzread.c \
+          $(ZLIB_DIR)/gzwrite.c $(ZLIB_DIR)/uncompr.c $(ZLIB_DIR)/deflate.c \
           $(ZLIB_DIR)/trees.c $(ZLIB_DIR)/zutil.c $(ZLIB_DIR)/inflate.c \
           $(ZLIB_DIR)/infback.c $(ZLIB_DIR)/inftrees.c $(ZLIB_DIR)/inffast.c
 ZLIB_OBJ:=$(ZLIB_SRC:%.c=obj/%.o)
@@ -246,7 +258,7 @@
 EXP_LDLIBS += $(DEPLIBS)
 GTSHAREDLIB_LIBDEP += $(DEPLIBS)
 
-SERVER=gordon@genometools.org
+SERVER=satta@genometools.org
 WWWBASEDIR=/var/www/servers
 
 # process arguments
@@ -279,29 +291,3 @@
       GT_CXXFLAGS += -O4
     else
       GT_CFLAGS += -O3
-      GT_CXXFLAGS += -O3
-    endif
-  else
-    GT_CFLAGS += -O3
-    GT_CXXFLAGS += -O3
-  endif
-endif
-
-ifeq ($(prof),yes)
-  GT_CFLAGS += -pg
-  GT_LDFLAGS += -pg
-endif
-
-ifeq ($(curl),yes)
-  EXP_CPPFLAGS += -DCURLDEF
-  GT_CPPFLAGS += -I/usr/include/curl -I/usr/local/include/curl
-  EXP_LDLIBS += -lcurl
-endif
-
-ifneq ($(curses),no)
-  EXP_CPPFLAGS += -DCURSES
-  EXP_LDLIBS += -lncurses
-  GTLIBS := lib/libtecla.a
-endif
-
-ifdef testthreads
