=== debian/changelog ===
genometools (1.5.1-2ubuntu1) trusty; urgency=low

  * Build with correct machine flags on arm64, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 22 Mar 2014 13:30:31 -0400

genometools (1.5.1-2) unstable; urgency=low

  * debian/control
     - Add myself to Uploaders
     - cme fix dpkg-control
     - Follow liblua package name transition
       Closes: #728017
     - Remove depends from virtual package python-ctypes which is provided
       by python
  * provide symbols file

 -- Andreas Tille <tille@debian.org>  Mon, 28 Oct 2013 08:17:04 +0100

genometools (1.5.1-1) unstable; urgency=low

  * New upstream release. 

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Thu, 07 Mar 2013 14:08:05 +0100

genometools (1.5.0-2) unstable; urgency=low

  * Patch manuals not to use includecomment/excludecomment

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Sat, 16 Feb 2013 16:58:11 +0100

genometools (1.5.0-1) unstable; urgency=low

  * New upstream release
  * bugfixes and cleanups
  * development tool `gt sain' added to run an induced suffix array sorting 
    algorithm
  * the -typecheck option in the `gt gff3` and `gt gff3validator` tools 
    now also validates parent (part-of) relationships, see -help output for 
    details
  * new option -encseq besides -seqfile(s) and -regionmapping to select a
    encseq index as a sequence source
  * GtBioseq backend switched to GtEncseq
  * GtSeqCol is now an interface, GtEncseqCol added
  * GtRankedList added
  * GtSNPAnnotatorStream and `gt snpper' tool added
  * node sorting code is now aware of MD5 hash presence
  * compatibility with old Pango versions inproved

 -- Sascha Steinbiss <steinbiss@zbh.uni-hamburg.de>  Tue, 05 Feb 2013 18:52:22 +0100
