=== debian/watch ===
version=3
http://genometools.org/pub/genometools-([0-9.]+)\.tar\.gz
